Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1361127 - [RFE]: rpc events
Summary: [RFE]: rpc events
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rpc
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Raghavendra Talur
QA Contact: storage-qa-internal@redhat.com
URL:
Whiteboard: USM-Gluster integration
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-28 11:41 UTC by Raghavendra G
Modified: 2017-03-09 06:12 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1367382 (view as bug list)
Environment:
Last Closed: 2016-08-23 07:32:17 UTC


Attachments (Terms of Use)

Description Raghavendra G 2016-07-28 11:41:15 UTC
Description of problem:
This RFE is to track the changes required in the rpc to generate the events to be consumed by the eventing framework.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 3 Raghavendra Talur 2016-08-16 10:16:40 UTC
I currently do not see a need of generating events from rpc layer. It should rather be handled by consumers of rpc, just like glusterd is currently performing it.

I have created a bug in protocol component for the same, in case we need events for client connects and disconnects by brick processes. Bug: https://bugzilla.redhat.com/show_bug.cgi?id=1367382


Aravinda, it would be great if you could also confirm that we don't need events from RPC layer, rather from its users.

Comment 4 Atin Mukherjee 2016-08-23 07:32:17 UTC
Given that the consumers of the RPC is going to push the events, there is no change required at RPC component.


Note You need to log in before you can comment on or make changes to this bug.